de.esprit.appsuite.xml

## Class ZSAXParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.xml.sax.SAXException
      - - org.xml.sax.SAXParseException
        - - de.esprit.appsuite.xml.ZSAXParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class ZSAXParseException
      extends org.xml.sax.SAXParseException

  This is a wrapper exception which creates an informative message about where the parsing error happened, something the original SAXParseException doesn't do!
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZSAXParseException(java.lang.Exception e)`
    `ZSAXParseException(org.xml.sax.Locator l, java.lang.Exception e)`
    `ZSAXParseException(org.xml.sax.SAXParseException e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`

    - ### Methods inherited from class org.xml.sax.SAXParseException

      `getColumnNumber, getLineNumber, getPublicId, getSystemId, toString`

    - ### Methods inherited from class org.xml.sax.SAXException

      `getCause, getException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZSAXParseException

          public ZSAXParseException(java.lang.Exception e)

    - #### ZSAXParseException

          public ZSAXParseException(org.xml.sax.Locator l,
                            java.lang.Exception e)

    - #### ZSAXParseException

          public ZSAXParseException(org.xml.sax.SAXParseException e)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `org.xml.sax.SAXException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.